﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://github.com/brave/browser-laptop/releases/download/v0.23.103dev/BraveSetup-ia32.exe'
  url64          = 'https://github.com/brave/browser-laptop/releases/download/v0.23.103dev/BraveSetup-x64.exe'
  checksum       = '582354b167c1b40d1fa172cfba134ff017b848b053a197f825e92c01f57976d0'
  checksum64     = 'a69ade255340e796eacfc351ce478cbb5a64efc447cb17c9460a3a0e94e50303'
  checksumType   = 'sha256'
  checksum64Type = 'sha256'
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.exe | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
